Skip to main content
GET
/
orgs
/
{org_id}
/
files
/
{file_id}
Get File
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/files/{file_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/files/{file_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.useinvent.com/orgs/{org_id}/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "file_path": "<string>",
  "file_filename": "document.pdf",
  "file_size": 1024,
  "file_mimetype": "application/pdf",
  "file_url": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

file_id
string
required

File ID

Response

200 - application/json

Detailed information about a file

id
string
required

Unique identifier for the file

file_path
string
required

Path to the file in the storage system

Maximum string length: 2048
file_filename
string
required

Name of the file

Maximum string length: 255
Example:

"document.pdf"

file_size
number
required

Size of the file in bytes

Example:

1024

file_mimetype
string
required

MIME type of the file

Maximum string length: 255
Example:

"application/pdf"

file_url
string
required

URL to access the file

Maximum string length: 2048
created_at
string<date-time> | null
required

Timestamp when the file was created